function [f, g] = robustcontrol(x,pars)
% Emre Mengi (Modified on September 4, 2015)
%
% auxiliary function (to be called by eigopt_constrained.m)
% this is the auxiliary routine for the stabilization problem
%
%
% f,g - function and gradient values



A = pars.A;
B = pars.B;
K = pars.K;

m = length(x);
m = m+1;

KA = K{1};
for j = 2:m
	KA = KA + x(j-1)*K{j};
end



[V,D] = eig(A + B*KA*B');

D1 = diag(real(D));
[f,ind] = max(D1);

			
f = f + pars.delta;								  
				
	
for j = 1:m-1
	g(j,1) = real(V(:,ind)'*B*K{j+1}*B'*V(:,ind));
end
								  
return;