function [f, g] = structuredesign(x,pars)
% Emre Mengi (Modified on September 4, 2015)
%
% auxiliary function (to be called by eigopt_constrained.m)
% this is the auxiliary routine for designing the column with smallest volume
% the matrix-valued function is affine
%
%
% f,g - function and gradient values



A = pars.A;

m = length(A);

AA = A{1};
for j = 2:m
	AA = AA + x(j-1)*A{j};
end





[V,D] = eig(-AA);

D1 = diag(real(D));
[f,ind] = max(D1);

f = f + pars.beta;								  
				
for j = 1:m-1
	g(j,1) = -real(V(:,ind)'*A{j+1}*V(:,ind));
end
								  
return;