function [f, g] = structuredesign_bilinear(x,pars)
% Emre Mengi (Modified on September 4, 2015)
%
% auxiliary function (to be called by eigopt_constrained.m)
% this is the auxiliary routine for designing the column with smallest volume
% the matrix valued function depends on 2 parameters and bilinear
%
%
% f,g - function and gradient values



A = pars.A;

m = length(A);

AA = A{1} + x(1)*A{2} + x(2)*A{3} + x(1)*x(2)*A{4};


[V,D] = eig(-AA);

D1 = diag(real(D));
[f,ind] = max(D1);

f = f + pars.beta;								  
				

g(1,1) = -real(V(:,ind)'*(A{2} + x(2)*A{4})*V(:,ind));
g(2,1) = -real(V(:,ind)'*(A{3} + x(1)*A{4})*V(:,ind));
								  
return;